Subject: bug#53391: First keypress doesn't work when scratch buffer is killed in emacs 28, emacs daemon + emacs client is used

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Jan 2022 13:55:11 +0200

> From: Евгений Курневский <[email-masked]>
> Date: Fri, 21 Jan 2022 10:01:23 +0000
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Could it be some kind of a race? When originally tried with my complete config I had different results with
> and without (require 'easy-mmode) before killing scratch buffer. Probably you can try with this line as well?

I already did, and I don't see the problem.

> Also I noticed that if you press q in this case emacs just kills this opened buffer. So probably emacs is in
> some mode in this case - can I check it somehow?

Can you type C-g and show the backtrace?